package cn.iocoder.yudao.module.system.enums.robot;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * robot_information表的机器人任务的状态
 */
@Getter
@AllArgsConstructor
public enum RobotStatusEnum {
    NO_TASK_STOP(0),//暂停且无任务
    STOP(1),//暂停且有处理中的任务
    DOING(2), //任务中
    STAND_BY(3), //待命
    CHARGE(4); //充电中
    /**
     * 类型
     */
    private final Integer type;
}
